com.smartgwt.client.widgets.form.validator

## Class DateRangeValidator

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.form.validator.Validator
      - - com.smartgwt.client.widgets.form.validator.DateRangeValidator

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class DateRangeValidator
      extends Validator

  Tests whether the value for a date field is within the range specified. Range is inclusive, and is specified via validator.min and validator.max, which should be dates.

  Note that the errorMessage for this validator will be evaluated as a dynamicString - text within ${...} will be evaluated as JS code when the message is displayed, with max and min available as variables mapped to validator.max and validator.min.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRangeValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getMax()` Return the max.
    `java.util.Date` | `getMin()` Return the min.
    `void` | `setMax(java.util.Date max)` Set the max.
    `void` | `setMin(java.util.Date min)` Set the min.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.validator.Validator

      `addValidatorDefinition, create, getApplyWhen, getClientOnly, getCondition, getDependentFields, getOrCreateRef, getStopIfFalse, getStopOnError, getType, getTypeAsString, getValidateOnChange, setApplyWhen, setClientOnly, setCondition, setDependentFields, setErrorMessage, setStopIfFalse, setStopOnError, setType, setType, setValidateOnChange`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateRangeValidator

          public DateRangeValidator()

  - ### Method Detail

    - #### setMin

          public void setMin(java.util.Date min)

      Set the min.
      Parameters:
        `min` - the min

    - #### getMin

          public java.util.Date getMin()

      Return the min.
      Returns:
        the min

    - #### setMax

          public void setMax(java.util.Date max)

      Set the max.
      Parameters:
        `max` - the max

    - #### getMax

          public java.util.Date getMax()

      Return the max.
      Returns:
        the max